Subject: You are my good, my handsome - write me, I'm waiting!

From: [email-masked]
Date: Thu, 11 Mar 2010 02:43:23 -0300

Do you want me again? I love you madly I want! http://violent48.spaces.live.com